<!-- Copyright (C) 2017-2020 Linagora

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. -->

<div *ngIf="resourceDeletable?.value" fxLayout="column" class="wrapper-content workspace-element">
  <mat-toolbar color="primary" class="toolbar-page-header" fxLayout="row" fxLayoutAlign="start center">
    <div class="prefix-toolbar-title" fxLayout="row">
      <mat-icon
        *ngIf="(!resourceDeletable.value.isFetchingDetails && !resourceDeletable.value.isUpdating) || resourceDeletable.isDeleted; else loadingTpl"
        color="accent"
        class="margin-right-x1"
      >grade</mat-icon>

      <ng-template #loadingTpl>
        <mat-spinner [diameter]="16" [strokeWidth]="1" color="accent"></mat-spinner>
      </ng-template>
    </div>
    
    <h1 *ngIf="!resourceDeletable.value.localpart; else titleTpl" class="title" [ngClass.lt-md]="'margin-left-x1'" fxFlex>{{ resourceDeletable.value.name }}</h1>
    <ng-template #titleTpl>
      <h1 class="title" [ngClass.lt-md]="'margin-left-x1'" fxFlex>{{ resourceDeletable.value.localpart }}</h1>
    </ng-template>

    <ng-content select="[appWorkspaceElementHeaderExtra]"></ng-content>
  </mat-toolbar>

  <div class="message" *ngIf="resourceDeletable.isDeleted">
    {{ deletedMessage }}
  </div>

  <mat-tab-group [(selectedIndex)]="activeTabIndex" fxFlex>
    <mat-tab *ngFor="let tab of tabs" [label]="tab.label">
      <ngx-hover-opacity [isHoverVisible]="resourceDeletable.isDeleted">
        <ng-container [ngTemplateOutlet]="tab.templateRef"></ng-container>
      </ngx-hover-opacity>
    </mat-tab>
  </mat-tab-group>
</div>
